/******************************************************************************/
/* Files da includere                                                          */
/******************************************************************************/


#include <xc.h>        
#include <stdint.h>       
#include <stdbool.h>       

#include "header.h"


/******************************************************************************/
/* Variabili                                                                  */
/******************************************************************************/

unsigned char dato=0;
unsigned char temp1, temp2;
unsigned char errore=0;

/******************************************************************************/
/* Interrupt                                                                  */
/******************************************************************************/

//Alta Priorit
void interrupt high_isr(void)
{
    
}

//Bassa priorit
void low_priority interrupt low_isr(void)
{

}


void main(void)
{
    //Inizializza il PIC
    InitApp();
    I2C_init(400);
    //Invia questo testo al PC solo all'inizio
    stampaTesto("Pierin-Termometro! \n");
    stampaTesto("Ogni secondo riceverai la temperatura della tua stanza!\n");
   
    //Configurazione iniziale: Risoluzione a 12 bit (massima), il resto  di default
    I2C_start();
    I2C_write(tcn_W);
    I2C_write(1);
    I2C_write(0b01100000);
    I2C_stop();

    //Ciclo infinito
    while(1)
    {
        I2C_start();
        I2C_write(tcn_W);
        I2C_write(0);
        I2C_rep_start();
        I2C_write(tcn_R);
        delay_ms(300);          //Attende che la lettura venga effettuata (il datasheet indica 240mS pag.22)
        temp1=I2C_read(0);
        temp2=I2C_read(1);
        I2C_stop();
        
        delay_ms(700);
        stampaTemp(temp1,temp2);
        

    }
}

